org.apache.jmeter.protocol.http.sampler.hc

## Class LazyLayeredConnectionSocketFactory

- java.lang.Object
- - org.apache.jmeter.protocol.http.sampler.hc.LazyLayeredConnectionSocketFactory

- All Implemented Interfaces:
    org.apache.http.conn.socket.ConnectionSocketFactory, org.apache.http.conn.socket.LayeredConnectionSocketFactory

      public final class LazyLayeredConnectionSocketFactory
      extends java.lang.Object
      implements org.apache.http.conn.socket.LayeredConnectionSocketFactory

  LazyLayeredConnectionSocketFactory that lazily initializes HTTPS Socket Factory
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyLayeredConnectionSocketFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.Socket` | `connectSocket(int paramInt, java.net.Socket paramSocket, org.apache.http.HttpHost paramHttpHost, java.net.InetSocketAddress paramInetSocketAddress1, java.net.InetSocketAddress paramInetSocketAddress2, org.apache.http.protocol.HttpContext paramHttpContext)`
    `java.net.Socket` | `createLayeredSocket(java.net.Socket paramSocket, java.lang.String paramString, int paramInt, org.apache.http.protocol.HttpContext paramHttpContext)`
    `java.net.Socket` | `createSocket(org.apache.http.protocol.HttpContext paramHttpContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyLayeredConnectionSocketFactory

          public LazyLayeredConnectionSocketFactory()

  - ### Method Detail

    - #### createSocket

          public java.net.Socket createSocket(org.apache.http.protocol.HttpContext paramHttpContext)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in interface `org.apache.http.conn.socket.ConnectionSocketFactory`
      Throws:
        `java.io.IOException`

    - #### connectSocket

          public java.net.Socket connectSocket(int paramInt,
                                               java.net.Socket paramSocket,
                                               org.apache.http.HttpHost paramHttpHost,
                                               java.net.InetSocketAddress paramInetSocketAddress1,
                                               java.net.InetSocketAddress paramInetSocketAddress2,
                                               org.apache.http.protocol.HttpContext paramHttpContext)
                                        throws java.io.IOException

      Specified by:
        `connectSocket` in interface `org.apache.http.conn.socket.ConnectionSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createLayeredSocket

          public java.net.Socket createLayeredSocket(java.net.Socket paramSocket,
                                                     java.lang.String paramString,
                                                     int paramInt,
                                                     org.apache.http.protocol.HttpContext paramHttpContext)
                                              throws java.io.IOException

      Specified by:
        `createLayeredSocket` in interface `org.apache.http.conn.socket.LayeredConnectionSocketFactory`
      Throws:
        `java.io.IOException`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.